import RemoteApi_pb2
import Configuration_pb2

class ConfigurationSender(object):
	def __init__(self, client):
		self.client_ = client
	def setResponsesEnabled(self, responsesOn):
		msg = RemoteApi_pb2.Command()
		if responsesOn:
			msg.configuration.responseSetting = Configuration_pb2.ALL_RESPONSES
		else:
			msg.configuration.responseSetting = Configuration_pb2.NO_RESPONSES
		self.client_.send(msg)
	def setTimeout(self, timeout):
		msg = RemoteApi_pb2.Command()
		msg.configuration.timeout = timeout
		self.client_.send(msg)
	def logToFile(self, filename):
		msg = RemoteApi_pb2.Command()
		msg.configuration.logToFile = filename
		self.client_.send(msg)
	def stopLogging(self):
		msg = RemoteApi_pb2.Command()
		msg.configuration.stopLogging = True
		self.client_.send(msg)
